#include "PluginLoader.hpp"

PluginLoader::PluginLoader(QObject *parent)
    : QObject(parent)
{}

QObject *PluginLoader::loadPlugin(const QString &path)
{
    if (m_loader.isLoaded()) {
        m_loader.unload();
    }

    m_loader.setFileName(path);
    return m_loader.instance();
}

bool PluginLoader::unloadPlugin()
{
    return m_loader.unload();
}

QString PluginLoader::errorString() const
{
    return m_loader.errorString();
}
